Bug 1179366 - repoquery --whatprovides does not accept wildchars as *
repoquery --whatprovides does not accept wildchars as *
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-06 10:49 EST by Honza Horak
Modified: 2015-04-21 15:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.1.6-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 15:26:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2015-01-06 10:49:05 EST
Description of problem:
repoquery is also used for searching for a package that ships a file in an unknown path. For example when searching an executable `rpmbuild` I use it like this:
$> repoquery --whatrequires '*/bin/rpmbuild'

That worked nice in yum, but with dnf it does not work any more:
$> dnf repoquery --whatrequires '*/bin/rpmbuild'

which does not return anything.


Version-Release number of selected component (if applicable):
# rpm -q dnf-plugins-core dnf
dnf-plugins-core-0.1.4-1.fc21.noarch
dnf-0.6.3-2.fc21.noarch


How reproducible:
every-time

Steps to Reproduce:
1. dnf repoquery --whatrequires '*/bin/rpmbuild'

Actual results:
nothing

Expected results:
rpm-build-0:4.12.0.1-3.fc21.x86_64
Comment 1 Honza Silhan 2015-01-15 10:12:13 EST
Thanks for the report. There's already PR for this feature [1].

[1] https://github.com/rpm-software-management/dnf-plugins-core/pull/47
Comment 2 Fedora Update System 2015-04-09 10:41:12 EDT
dnf-plugins-core-0.1.6-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.6-3.fc22
Comment 3 Fedora Update System 2015-04-10 14:21:39 EDT
Package dnf-plugins-core-0.1.6-3.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-plugins-core-0.1.6-3.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5951/dnf-plugins-core-0.1.6-3.fc22
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-04-21 15:26:17 EDT
dnf-plugins-core-0.1.6-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.